﻿import numpy as np                          #Importation du module numpy et simplifictaion en np#
import matplotlib.pyplot as plt             #Importation du module matplot.lib et simplification en plt#
from scipy import stats                     #Importation de la fonction stats du module scipy#

mesures = np.loadtxt('conducteur ohmique donnees.csv',delimiter=';',skiprows=2)        #création d'une grandeur mesures correspondant aux données du fichier conducteur omhmique.csv à partir de la troisième ligne (notée 2)#

I=mesures[:,0]                             #lecture de l'intensité du courant à partir de la ligne 2(notée 1) dans la colonne 1 (notée 0) du fichier texte# 
U=mesures[:,1]                             #lecture de la tension à partir de la ligne 2(notée 1) dans la colonne 2 (notée 1)du fichier texte#

print('Intensités du courant dans le conducteur ohmique en A :',I)
print('Tensions aux bornes du conducteur ohmique en V:',U)


axes = plt.axes()
axes.grid()                                             #dessiner une grille pour une meilleure lisibilité du graphe#

plt.xlabel('I(A)')                                      #affiche un commentaire sur l'axe des abscisses#
plt.ylabel('U(V)')					#affiche un commentaire sur l'axe des ordonnées#

plt.scatter(I,U,s=100,c = 'red',marker= '+')            #affiche un nuage de points rouges de taille 100#
plt.title('Courbe U=f(I)')                              #affiche le titre#


N=len(I)                                                        #xmin = 0  xmax = valeur maximale de I (soit la dernière valeur de la matrice notée N-1; 0 étant la première#
plt.xlim(0,I[N-1])

a,b,r,d,e = stats.linregress(I,U)     #a = coefficient directeur de la droite moyenne,r = coefficient de corrélation#
plt.plot(I,a*I,c='b')                 #tracé de la droite de la modélisation qui passe par 0,0 et de coeffcieint directeur r"

print('La résistance R du conducteur ohmique est : R =',round(a ,1),'ohms')  #round : arrondi avec 1 chiffre après la virgule#
print ('avec un coefficient de corrélation r = ',round(r,2))


plt.show()                          #affichage du graphique#






 
